# H245_DataApplicationCapability_application Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_nonStandard, e_t120, e_dsm_cc, e_userData, e_t84, e_t434, e_h224, e_nlpid, e_dsvdControl, e_h222DataPartitioning, e_t30fax, e_t140, e_t38fax, e_genericDataCapability }

## Public Member Functions

| H245_DataApplicationCapability_application (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_NonStandardParameter & ()
| operator const H245_NonStandardParameter & () const
| operator H245_DataProtocolCapability & ()
| operator const H245_DataProtocolCapability & () const
| operator H245_DataApplicationCapability_application_t84 & ()
| operator const H245_DataApplicationCapability_application_t84 & () const
| operator H245_DataApplicationCapability_application_nlpid & ()
| operator const H245_DataApplicationCapability_application_nlpid & () const
| operator H245_DataApplicationCapability_application_t38fax & ()
| operator const H245_DataApplicationCapability_application_t38fax & () const
| operator H245_GenericCapability & ()
| operator const H245_GenericCapability & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_DataApplicationCapability_application::Choices

Enumerator:

  e_nonStandard |
  e_t120 |
  e_dsm_cc |
  e_userData |
  e_t84 |
  e_t434 |
  e_h224 |
  e_nlpid |
  e_dsvdControl |
  e_h222DataPartitioning |
  e_t30fax |
  e_t140 |
  e_t38fax |
  e_genericDataCapability |

## Constructor & Destructor Documentation

H245_DataApplicationCapability_application::H245_DataApplicationCapability_application | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_DataApplicationCapability_application::operator H245_NonStandardParameter & | ( |  | ) |

H245_DataApplicationCapability_application::operator const H245_NonStandardParameter & | ( |  | ) | const

H245_DataApplicationCapability_application::operator H245_DataProtocolCapability & | ( |  | ) |

H245_DataApplicationCapability_application::operator const H245_DataProtocolCapability & | ( |  | ) | const

H245_DataApplicationCapability_application::operator H245_DataApplicationCapability_application_t84 & | ( |  | ) |

H245_DataApplicationCapability_application::operator const H245_DataApplicationCapability_application_t84 & | ( |  | ) | const

H245_DataApplicationCapability_application::operator H245_DataApplicationCapability_application_nlpid & | ( |  | ) |

H245_DataApplicationCapability_application::operator const H245_DataApplicationCapability_application_nlpid & | ( |  | ) | const

H245_DataApplicationCapability_application::operator H245_DataApplicationCapability_application_t38fax & | ( |  | ) |

H245_DataApplicationCapability_application::operator const H245_DataApplicationCapability_application_t38fax & | ( |  | ) | const

H245_DataApplicationCapability_application::operator H245_GenericCapability & | ( |  | ) |

H245_DataApplicationCapability_application::operator const H245_GenericCapability & | ( |  | ) | const

PBoolean H245_DataApplicationCapability_application::CreateObject | ( |  | ) |

PObject* H245_DataApplicationCapability_application::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h